---
title: Sec-Fetch-Dest
slug: Web/HTTP/Headers/Sec-Fetch-Dest
tags:
  - Fetch Metadata Request Headers
  - HTTP
  - HTTP Headers
---
<p>{{HTTPSidebar}}{{Draft}}</p>

<p>The <strong><code>Sec-Fetch-Dest</code></strong> fetch metadata header indicates the request's destination, that is how the fetched data will be used.</p>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Header type</th>
			<td>{{Glossary("Fetch Metadata Request Header")}}</td>
		</tr>
		<tr>
			<th scope="row">{{Glossary("Forbidden header name")}}</th>
			<td>yes, since it has prefix <code>Sec-</code></td>
		</tr>
		<tr>
			<th scope="row">{{Glossary("CORS-safelisted request header")}}</th>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Sec-Fetch-Dest: audio
Sec-Fetch-Dest: audioworklet
Sec-Fetch-Dest: document
Sec-Fetch-Dest: embed
Sec-Fetch-Dest: empty
Sec-Fetch-Dest: font
Sec-Fetch-Dest: image
Sec-Fetch-Dest: manifest
Sec-Fetch-Dest: nested-document
Sec-Fetch-Dest: object
Sec-Fetch-Dest: paintworklet
Sec-Fetch-Dest: report
Sec-Fetch-Dest: script
Sec-Fetch-Dest: serviceworker
Sec-Fetch-Dest: sharedworker
Sec-Fetch-Dest: style
Sec-Fetch-Dest: track
Sec-Fetch-Dest: video
Sec-Fetch-Dest: worker
Sec-Fetch-Dest: xslt
Sec-Fetch-Dest: audioworklet
Sec-Fetch-Dest: audioworklet
</pre>

<h2 id="Values">Values</h2>

<dl>
	<dt><code>audio</code></dt>
	<dd></dd>
	<dt><code>audioworklet</code></dt>
	<dd></dd>
	<dt><code>document</code></dt>
	<dd></dd>
	<dt><code>embed</code></dt>
	<dd></dd>
	<dt><code>empty</code></dt>
	<dd></dd>
	<dt><code>font</code></dt>
	<dd></dd>
	<dt><code>image</code></dt>
	<dd></dd>
	<dt><code>manifest</code></dt>
	<dd></dd>
	<dt><code>object</code></dt>
	<dd></dd>
	<dt><code>paintworklet</code></dt>
	<dd></dd>
	<dt><code>report</code></dt>
	<dd></dd>
	<dt><code>script</code></dt>
	<dd></dd>
	<dt><code>serviceworker</code></dt>
	<dd></dd>
	<dt><code>sharedworker</code></dt>
	<dd></dd>
	<dt><code>style</code></dt>
	<dd></dd>
	<dt><code>track</code></dt>
	<dd></dd>
	<dt><code>video</code></dt>
	<dd></dd>
	<dt><code>worker</code></dt>
	<dd></dd>
	<dt><code>xslt</code></dt>
	<dd></dd>
	<dt><code>nested-document</code></dt>
	<dd></dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TODO</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
    <thead>
        <tr>
            <th scope="col">Specification</th>
            <th scope="col">Status</th>
            <th scope="col">Comment</th>
        </tr>
     </thead>
     <tbody>
         <tr>
            <td>{{SpecName('Fetch Metadata','#sec-fetch-dest-header', 'Sec-Fetch-Dest')}}</td>
            <td>{{Spec2("Fetch Metadata")}}</td>
            <td>Initial definition</td>
         </tr>
     </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Sec-Fetch-Dest")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTTPHeader("Sec-Fetch-Mode")}}</li>
	<li>{{HTTPHeader("Sec-Fetch-Site")}}</li>
	<li>{{HTTPHeader("Sec-Fetch-User")}}</li>
</ul>
